Bug 1675491 - nodejs-grunt-contrib-copy: FTBFS in Fedora rawhide/f30
Summary: nodejs-grunt-contrib-copy: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs-grunt-contrib-copy
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1303785 1370809 1693407 1675518
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 21:11 UTC by Fedora Release Engineering
Modified: 2019-08-02 15:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-02 15:15:38 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 21:11 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 21:11 UTC, Fedora Release Engineering
no flags Details
state.log (507 bytes, text/plain)
2019-02-11 21:11 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 21:11:03 UTC
nodejs-grunt-contrib-copy failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32420032


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix nodejs-grunt-contrib-copy at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
nodejs-grunt-contrib-copy will be orphaned. Before branching of Fedora 31,
nodejs-grunt-contrib-copy will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:11:05 UTC
Created attachment 1531534 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:11:06 UTC
Created attachment 1531535 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:11:07 UTC
Created attachment 1531536 [details]
state.log

Comment 4 Matthias Runge 2019-03-28 08:59:35 UTC
Fails due to 
 Problem: package nodejs-read-package-json-2.0.3-8.fc30.noarch requires (npm(normalize-package-data) >= 2.0.0 with npm(normalize-package-data) < 3), but none of the providers can be installed
  - package nodejs-grunt-contrib-internal-0.4.13-7.fc30.noarch requires (npm(read-package-json) >= 2.0.0 with npm(read-package-json) < 3), but none of the providers can be installed
  - package nodejs-normalize-package-data-2.3.5-7.fc29.noarch requires (npm(validate-npm-package-license) >= 3.0.1 with npm(validate-npm-package-license) < 4), but none of the providers can be installed
  - conflicting requests
  - nothing provides (npm(spdx-expression-parse) >= 1.0.0 with npm(spdx-expression-parse) < 1.1) needed by nodejs-validate-npm-package-license-3.0.1-6.fc29.noarch
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

Comment 5 Fedora Release Engineering 2019-04-26 23:30:17 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 6 Matthias Runge 2019-04-29 06:19:54 UTC
Still broken, several deps can't be installed. I don't use this nor need this anymore.

Comment 7 Fedora Release Engineering 2019-06-03 21:45:13 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 8 Matthias Runge 2019-06-04 06:01:16 UTC
# /usr/bin/dnf builddep --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 31 --setopt=deltarpm=False --disableplugin=local --disableplugin=spacewalk --disableplugin=local --disableplugin=spacewalk /var/lib/mock/fedora-rawhide-x86_64/root//builddir/build/SRPMS/nodejs-grunt-contrib-copy-1.0.0-5.fc31.src.rpm
fedora                                                                                                                                                                                                        185 kB/s |  19 kB     00:00    
Error: 
 Problem: package nodejs-read-package-json-2.0.3-8.fc30.noarch requires (npm(normalize-package-data) >= 2.0.0 with npm(normalize-package-data) < 3), but none of the providers can be installed
  - package nodejs-grunt-contrib-internal-0.4.13-7.fc30.noarch requires (npm(read-package-json) >= 2.0.0 with npm(read-package-json) < 3), but none of the providers can be installed
  - package nodejs-normalize-package-data-2.3.5-7.fc29.noarch requires (npm(validate-npm-package-license) >= 3.0.1 with npm(validate-npm-package-license) < 4), but none of the providers can be installed
  - conflicting requests
  - nothing provides (npm(spdx-expression-parse) >= 1.0.0 with npm(spdx-expression-parse) < 1.1) needed by nodejs-validate-npm-package-license-3.0.1-6.fc29.noarch
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)



Dependencies are still broken.

Comment 9 Fedora Release Engineering 2019-06-17 20:42:56 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 10 Fedora Release Engineering 2019-07-02 11:16:44 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 11 Fedora Release Engineering 2019-07-02 13:33:49 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 12 Fedora Release Engineering 2019-07-24 12:28:22 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 13 Fedora Release Engineering 2019-07-24 13:26:21 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 14 Fedora Release Engineering 2019-07-28 04:25:53 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 15 Matthias Runge 2019-08-02 15:15:38 UTC
Don't have the time/interest to fix the build dependencies. This sorry state continued for whole F30 cycle and has not changed for F31 branching. The package is retired now.


Note You need to log in before you can comment on or make changes to this bug.